var click2tabSettings = 
{
    onLoad : function ()
    {
        this.prefService = Components.classes['@mozilla.org/preferences-service;1'].getService(Components.interfaces.nsIPrefService).getBranch(null);

        this.click2tabClearHistory = document.getElementById('click2tabClearHistory');
        this.click2tabCtlWCloseTab = document.getElementById('click2tabCtlWCloseTab');
        this.click2tabReopenInBackground = document.getElementById('click2tabReopenInBackground');
        this.click2tabClosedCacheSize = document.getElementById('click2tabClosedCacheSize');

        this.click2tabBookmark =  document.getElementById('click2tabBookmark');
        this.click2tabHistory = document.getElementById('click2tabHistory');
        this.click2tabUseMiddleClick = document.getElementById('click2tabUseMiddleClick');
        
        this.click2tabClearHistory.checked = this.prefService.getBoolPref(prefStringClick2TabClearHistory);
        this.click2tabCtlWCloseTab.checked = this.prefService.getBoolPref(prefStringClick2TabCtlWCloseTab);
        this.click2tabReopenInBackground.checked = this.prefService.getBoolPref(prefStringClick2TabReopenInBackground);
        this.click2tabClosedCacheSize.value = this.prefService.getIntPref(prefStringClick2TabClosedCacheSize);

        this.click2tabBookmark.checked = this.prefService.getBoolPref(prefStringClick2TabBookmark);
        this.click2tabHistory.checked = this.prefService.getBoolPref(prefStringClick2TabHistory);
        this.click2tabUseMiddleClick.checked = this.prefService.getBoolPref(prefStringClick2TabUseMiddleClick);
    },

    onAccept : function ()
    {
        var strNumRegEx = /^ *[0-9]* *$/;
        if (!strNumRegEx.test(this.click2tabClosedCacheSize.value))
        {
            alert("The cache size field contains invalid characters!");
            this.click2tabClosedCacheSize.focus();
            return false;
        }

        this.prefService.setBoolPref(prefStringClick2TabClearHistory, this.click2tabClearHistory.checked);
        this.prefService.setBoolPref(prefStringClick2TabCtlWCloseTab, this.click2tabCtlWCloseTab.checked);
        this.prefService.setBoolPref(prefStringClick2TabReopenInBackground, this.click2tabReopenInBackground.checked);
        this.prefService.setIntPref(prefStringClick2TabClosedCacheSize, this.click2tabClosedCacheSize.value);

        this.prefService.setBoolPref(prefStringClick2TabBookmark, this.click2tabBookmark.checked);
        this.prefService.setBoolPref(prefStringClick2TabHistory, this.click2tabHistory.checked);
        this.prefService.setBoolPref(prefStringClick2TabUseMiddleClick, this.click2tabUseMiddleClick.checked);
    }
};